api/urls.py
from django.urls import path, include
from rest_framework import routers
from api import views

# Routers - provee una manera facil de redirigir a los endpoint
# metodos accecibles GET, POST, PUT, DELETE
router = routers.DefaultRouter()

# rutas de app clientes
router.register(r'localidades', views.LocalidadsViewSet)
router.register(r'clientes', views.ClienteViewSet)
router.register(r'instalaciones', views.InstalacionViewSet)
router.register(r'contadores', views.ContadorViewSet)
router.register(r'pagos', views.PagoViewSet)

# rutas de app equipos
router.register(r'modems', views.ModemViewSet)
router.register(r'emisoras', views.EmisoraViewSet)
router.register(r'antenas', views.AntenaViewSet)

# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [
    path('', include(router.urls)),
    # path('api-auth/', include('rest_framework.urls', namespace='rest_framework'))
]

bases/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views
from bases.views import *

app_name = "config"

urlpatterns = [
    path('', Home.as_view(), name='home'),
    path('bases/obtener-estadisticas/', get_estadisticas, name="home_estadisticas"),
    path('login/', auth_views.LoginView.as_view(template_name = 'bases/login.html'), name="login"),
    path('logout/', auth_views.LogoutView.as_view(template_name = 'bases/login.html'), name="logout"),
    path('sin_privilegios/', HomeSinPrivilegios.as_view(), name="sin_privilegios"),
    path('listado-de-clientes/', ClientesView.as_view(), name="listado-de-clientes"),
]

zanet/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from rest_framework.documentation import include_docs_urls
from django.conf.urls.static import static

urlpatterns = [
    path('', include(('bases.urls', 'bases'), namespace="bases")),
    path('', include(('app_clientes.urls', 'app_clientes'), namespace="app_clientes")),
    path('', include(('app_equipos.urls', 'app_equipos'), namespace="app_equipos")),
    path('', include(('app_perfiles.urls', 'app_perfiles'), namespace="app_perfiles")),
    path('', include(('app_publicidad.urls', 'app_publicidad'), namespace="app_publicidad")),
    path('admin/', admin.site.urls),
    path('api/v1/', include('api.urls')),
    path('docs/', include_docs_urls(title='API Documentación')),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

bases/models.py
from django.db import models

# Create your models here.

bases/views.py
from django.shortcuts import render, redirect
from django.views.generic import *
from django.contrib.auth.mixins import LoginRequiredMixin, PermissionRequiredMixin
from app_clientes.models import *
from app_equipos.models import *
from logging import raiseExceptions
from django.http import HttpResponseRedirect
from django.urls import reverse_lazy

# Create your views here.
class Home(LoginRequiredMixin, TemplateView):
    """ vista que renderiza a la plantilla base"""
    template_name = "bases/home.html"
    login_url = 'bases:login'
    
class Sin_Privilegios(LoginRequiredMixin, PermissionRequiredMixin):
    login_url = 'bases:login'
    raiseExceptions = False # no se ponga la pantalla en blanco
    redirect_field_name = "redirect_to"

    def handle_no_permission(self):
        """ método que valida si el usuario tiene privilegios, para redireccionar a plantilla"""
        from django.contrib.auth.models import AnonymousUser

        # si el usuario es válido, se muestra la vista sin privilegios
        if not self.request.user == AnonymousUser():
            self.login_url = "config:sin_privilegios"

        return HttpResponseRedirect(reverse_lazy(self.login_url))
    

class HomeSinPrivilegios(LoginRequiredMixin, TemplateView):
    login_url = 'bases:login'
    template_name = "bases/sin_privilegios.html"
    
def get_estadisticas(request):
    """" vista que obtiene las estadísticas generales"""
    
    # app_clientes
    total_de_clientes = Cliente.objects.all().count()
    total_de_pagos = Pago.objects.all().count()
    total_de_instalaciones = Instalacion.objects.all().count()
    total_de_localidades = Localidad.objects.all().count()
    total_de_cajeros = Contador.objects.all().count()
    
    # app_equipos
    total_de_modems = Modem.objects.all().count()
    total_de_antenas = Antena.objects.all().count()
    total_de_emisoras = Emisora.objects.all().count()
        
    template_name = "bases/home.html"
    context = {
        'clientes': total_de_clientes,
        'pagos': total_de_pagos,
        'instalaciones': total_de_instalaciones,
        'localidades': total_de_localidades,
        'cajeros': total_de_cajeros,
        'modems': total_de_modems,
        'antenas': total_de_antenas,
        'emisoras': total_de_emisoras
    }
    
    return render(request, template_name, context)

class ClientesView(LoginRequiredMixin, TemplateView):
    """ vista basada en clase para listar clientes"""   
    template_name = "bases/img-clientes.html"
    
    
    
    

bases/templates/bases/img-clientes.html
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
        <div class="row">
            <div class="col-sm-6">
            <h1 class="display-4"><i class="fa fa-arrow-alt-circle-right"></i> Clientes de pinos 
            </div><!-- /.col -->
            <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Inicio</a></li>
                <li class="breadcrumb-item active">Listado de clientes</li>
            </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- START ACCORDION & CAROUSEL-->
  <!-- <h5 class="mt-1 mb-2">Bootstrap Accordion & Carousel</h5> -->

  <div class="row">
    <!-- /.col -->
    <div class="col-md-12">
      <div class="card" style="height: 700px;">
        <div class="card-header">          
          <h3 class="display-4" style="font-size: x-large;"> Parte 1</h3>                    
        </div>
        <!-- /.card-header -->
        <div class="card-body p-3">
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-75" src="{% static 'dist/img/clientes-pinos-1.png' %}" height="560px" alt="First slide">
                <br>             
              </div>
                            
            </div>            
          </div>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>
    <!-- /.col -->
    
    <!-- /.col -->
    <div class="col-md-12">
      <div class="card" style="height: 700px;">
        <div class="card-header">
          <h3 class="display-4" style="font-size: x-large;">Parte 2</h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body p-3">
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-75" src="{% static 'dist/img/clientes-pinos-2.png' %}" height="520px" alt="First slide">
              </div>              
            </div>           
          </div>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>
    <!-- /.col -->
  </div>
  <!-- /.row -->
  <!-- END ACCORDION & CAROUSEL-->

{% endblock %}

bases/templates/bases/login.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Zanet | Log in</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{% static 'plugins/fontawesome-free/css/all.min.css' %}">
  <!-- icheck bootstrap -->
  <link rel="stylesheet" href="{% static 'plugins/icheck-bootstrap/icheck-bootstrap.min.css' %}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{% static 'dist/css/adminlte.min.css' %}">
</head>
<body class="hold-transition login-page">
<div class="login-box">
  <!-- /.login-logo -->
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <a href="#" class="h1"><b>Zanet - </b>DEVS</a> <i class="fas fa-network-wired"></i>
    </div>
    <div class="card-header">
      <img src="{% static 'dist/img/login.svg' %}" alt="inicio de sesión" class="card-img-top" height="120px">
    </div>
    <div class="card-body">
      <p class="login-box-msg">Iniciar sesión en tu cuenta</p>

      <form method="post">
        {% csrf_token %}
        <small class="text-danger">
            
            {% if messages %}                
                {% for m in messages %}
                    {{ m }} <br>                          
                {% endfor %}                    
            {% endif %}

            {% if form.errors %}                
                {% for field in form %}
                    {% if field.errors %}
                        {% for error in field.errors %}
                            {{ error|escape }} {{ field.name }} <br>
                        {% endfor %}
                    {% endif %}
                {% endfor %}

                {% if form.non_field_errors %}
                    {% for error in form.non_field_errors %}
                        {{ error|escape }} <br>
                    {% endfor %}
                {% endif %}

            {% endif %}
                            
        </small>

        <div class="input-group mb-3">
          <input type="email" name="username" id="id_username" autofocus="" class="form-control" placeholder="Email" required>
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" name="password" id="id_password" autofocus="" class="form-control" placeholder="Contraseña">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-8">
            <div class="icheck-primary">
              <input type="checkbox" id="remember">
              <label for="remember">
                Recordarme
              </label>
            </div>
          </div>
          <!-- /.col -->
          <div class="col-4">
            <button type="submit" class="btn btn-primary btn-block">Ingresar</button>
          </div>
          <!-- /.col -->
        </div>
      </form>

      <!-- <div class="social-auth-links text-center mt-2 mb-3">
        <a href="#" class="btn btn-block btn-primary">
          <i class="fab fa-facebook mr-2"></i> Iniciar sesión con facebook
        </a>
        <a href="#" class="btn btn-block btn-danger">
          <i class="fab fa-google-plus mr-2"></i> Iniciar sesión con Google+
        </a>
      </div> -->
      <!-- /.social-auth-links -->

      <!-- <p class="mb-1">
        <a href="forgot-password.html">Olvide mi contraseña</a>
      </p>
      <p class="mb-0">
        <a href="register.html" class="text-center">Registrar una nueva cuenta</a>
      </p> -->
    </div>
    <!-- /.card-body -->
  </div>
  <!-- /.card -->
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="{% static 'plugins/jquery/jquery.min.js' %}"></script>
<!-- Bootstrap 4 -->
<script src="{% static 'plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
<!-- AdminLTE App -->
<script src="{% static 'dist/js/adminlte.min.js' %}"></script>
</body>
</html>

bases/templates/bases/sin_privilegios.html
{% extends 'bases/home.html' %}

{% block content %}
    <div class="col-xl-6 col-md-6 mb-6">
        <div class="card border-left-danger shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                            USUARIO: <mark> {{ user.username }} {{ user.get_full_name }}</mark>
                        </div>
                        <div class="dropdown-divider"></div>

                        <div class="row">
                            <mark>No tiene suficientes privilegios</mark> para cargar la opción solicitada.
                            <br>
                            <small>Para poder acceder, debe logearse con un usuario con privilegios necesarios.</small>
                        </div>

                        <div class="dropdown-divider"></div>

                        <div class="row">
                            <div class="col">
                                <a href="{% url 'config:home' %}" class="btn btn-success"><span class="fa fa-home">Ir a Inicio</span></a>
                                <a href="{% url 'config:login' %}" class="btn btn-success"><span class="fa fa-user">Ingresar con otro usuario</span></a>
                            </div>
                        </div>
                    </div>

                    <div class="col-auto">
                        <i class="far fa-calendar-plus fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
    